// file: $isip/util/speech/isip_segment_concat/isip_segment_concat.h
// version: $Id: isip_segment_concat.h 9436 2004-03-25 16:57:32Z parihar $
//
// this is the header file for the isip_segment_concat utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_SEGMENT_CONCAT
#define ISIP_UTIL_SEGMENT_CONCAT

// isip include files
//
#include <CommandLine.h>
#include <SegmentConcat.h>
#include <AudioDatabase.h>

static const String PROG_NAME(L"isip_segment_concat");

static const String OPTION_DIM(L"dimension");
static const String OPTION_TRANS_DB(L"transdb");
static const String OPTION_AUDIO_DB(L"audiodb");
static const String OPTION_TRANS_LEVEL(L"level");
static const String OPTION_RATIO(L"ratio");
static const String OPTION_DURATION_FLAG(L"duration");
static const String OPTION_NORMALIZE_FLAG(L"normalize");

static const String OPTION_MIN_MAX_FLAG(L"min_max");
static const String OPTION_MIN_MAX_FILE(L"min_max_file");

static const String OPTION_SYMBOL_LIST(L"symbol_list");

static const String OPTION_INPUT_FILE_FORMAT(L"input_format");
static const String OPTION_INPUT_FILE_TYPE(L"input_type");
static const String OPTION_OUTPUT_FILE_FORMAT(L"output_format");
static const String OPTION_OUTPUT_FILE_TYPE(L"output_type");

static const String FILE_TYPE_TEXT(L"text");
static const String FILE_TYPE_BINARY(L"binary");
static const String FILE_FORMAT_SOF(L"sof");
static const String FILE_FORMAT_RAW(L"raw");

static const String DEF_FILE_TYPE = FILE_TYPE_BINARY;
static const String DEF_FILE_FORMAT = FILE_FORMAT_SOF;
static const long DEF_DIM = 39;

// end of file
//
#endif
